<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
    <title>mita-i</title>
    <link href="../../js/libraries/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
    <link href="../../css/mitai_template.css" rel="stylesheet" />
    <link href="../../css/simple-sidebar.css" rel="stylesheet" />
    <script type="text/javascript" src="../../js/jquery-1.11.2.min.js"></script>
    <script type="text/javascript" src="../../js/app/utils/clone.js"></script>
    <script type="text/javascript" src="../../js/libraries/bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../../js/libraries/blockly/blockly_compressed.js"></script>
    <script type="text/javascript" src="../../js/libraries/blockly/blocks_compressed.js"></script>
    <script type="text/javascript" src="../../js/libraries/blockly/msg/js/es.js"></script>
    <script type="text/javascript" src="../../js/libraries/blockly/javascript_compressed.js"></script>
    <script type="text/javascript" src="../../js/libraries/blockly/custom_blocks/imagenes.js"></script>
    <script type="text/javascript" src="../../js/libraries/blockly/custom_blocks/custom_blocks.js"></script>

    <script type="text/javascript" src="../../js/libraries/three_js/three.min.js"></script>
    <script type="text/javascript" src="../../js/libraries/physijs/physi.js"></script>
    <script type="text/javascript" src="../../js/app/controlador/controladorEscena.js"></script>
    <script type="text/javascript" src="../../js/app/escena/escena.js"></script>
    <script type="text/javascript" src="../../js/app/escena/mundo.js"></script>
    <script type="text/javascript" src="../../js/app/controlador/controlador.js"></script>
    <script type="text/javascript" src="../../js/app/vista/vista.js"></script>
    <script type="text/javascript" src="../../js/app/programador/interprete.js"></script>
    <script type="text/javascript" src="../../js/app/programador/programador.js"></script>
    <script type="text/javascript" src="../../js/app/animador/animador.js"></script>
    <script type="text/javascript" src="../../js/libraries/blockly/generators/javascript/customs/customJSGenerator.js"></script>


    <script type="text/javascript" src="../../js/app/objeto/objeto.js"></script>
    <script type="text/javascript" src="../../js/app/objeto/personaje.js"></script>
    <script type="text/javascript" src="../../js/app/objeto/colectivo.js"></script>
    <script type="text/javascript" src="../../js/app/escena/mitai_personaje.js"></script>
    
    <!-- TWEEN FOR THE ANIMATION-->
    <script type="text/javascript" src="../../js/libraries/tween/Tween.js"> </script>
    <script type="text/javascript" src="../../js/libraries/three_js/threejs/examples/js/controls/TrackballControls.js"></script>
    <script type="text/javascript" src="../../js/libraries/js_interpreter/acorn_interpreter.js"></script>
    <!--script type="text/javascript" src="../../js/require.js"></script>
    <script type="text/javascript" src="../../js/require.config.js"></script>
    <script type="text/javascript" src="../../js/app/core/main.js"></script-->

    <script type="text/javascript">
            $(document).ready(function(){
                var controls;
                var vista = new Vista();
                vista.setEscenaDom(document.getElementById("gameRender"));
                vista.inicializar();

            $("#playButton").click(function(){
                //var data = $(this).data('action');
                //if(data=='play'){
                  //  $(this).data('action','stop');
                    //$(this).removeClass('btn-play').addClass('btn-stop');
                    ejecuteCodigo();    
                //}
                //else if(data =='stop'){
                   // $(this).data('action','play');
                    //$(this).removeClass('btn-stop').addClass('btn-play');
                    //pararEjecucion();
                //}
            });
            
            $("#btnCamera").click(function(){
                if($(this).data('camera-type') == "perspective"){
                    $(this).data('camera-type','up');
                    $(this).removeClass("btn-camera").addClass("btn-camera-up");
                }
                else{
                    $(this).data('camera-type','perspective');
                    $(this).removeClass("btn-camera-up").addClass("btn-camera");   
                }
                vista.controlador.mundo.escena.cambiarDireccionCamara();
            });



            // para que la escena se redimensione cada vez que la pantalla se haga mas chica o se agrande
            function resetearVista()
            {
                var domEscena = vista.getEscenaDom(); 
                var h = $(domEscena).height();
                var w = $(domEscena).width();
                vista.setAspectoEscena(h,w);
            }

            window.addEventListener('resize', resetearVista, false);

            var posicion3 = {x:148.6, y:4.19, z:30.6};
            var mitai = new Mitai("#fd5e2f");

            var colectivo = new Colectivo();
            colectivo.setNombre("colectivo");
            colectivo.posicionAnimacion = fnExtend(posicion3);
            mitai.setNombre("mitai");
            vista.controlador.mundo.agregarObjeto(colectivo, posicion3);
            vista.controlador.mundo.escena.cambiarFoco(colectivo);
            vista.controlador.programador.setObjetoActual(colectivo);
            vista.controlador.interprete.setObjeto(colectivo);

            function ejecuteCodigo(){
                var codigo = vista.controlador.programador.getCodigo();
                //alert(codigo);
                vista.controlador.interprete.ejecutarCodigo(codigo);
                var  generado = vista.controlador.interprete.getCodigoInterpretado();
                //alert(codigo);
                vista.controlador.interprete.configurarAnimador(vista.controlador.animador);
                vista.controlador.animador.iniciarAnimacion();
            }



            function pararEjecucion(){
                    TWEEN.removeAll();
                    vista.controlador.mundo.resetearPosicionDeObjetos();
            }



            function alAgregarUnBloque(){
                    var codigo = vista.controlador.programador.getCodigo();
                    if($.trim(codigo)!=''){
                        $("#playButton").removeClass('disabled');
                    }

                    else{
                        $("#playButton").addClass('disabled');
                    }
            }

            //cuando cambia el area de programación de la herramienta
            vista.controlador.programador.espacioProgramacion.addChangeListener(alAgregarUnBloque);
          
            //function animar en main.html
            function animar(){
                requestAnimationFrame(animar);
                vista.controlador.mundo.frameDeAnimacion();
                TWEEN.update();
                
            }
            animar();

        });
    </script>
</head>
<body>
    <div id="workspace">
        <div class="container-fluid">
            <div class="game-navbar">
                <div class="row">
                    <div class="col-lg-6 col-sm-6">
                        <a class="btn navbuttons btn-camera" id="btnCamera" data-camera-type="perspective"></a>
                    </div>
                    <div class="col-lg-6 col-sm-6">
                        <div class="pull-right">
                            <!--settingButton-->
                            <!--a id="settingButton" class="btn navbuttons btn-setting"></a-->
                            <a id="playButton" class="btn navbuttons btn-play disabled" title="Animacion del mundo!" data-action='play'></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="wrapper" >

            <div id="sidebar-wrapper">
                <div style="width:100%; height:10%; background-color:#ddd;">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="pull-left text-center">
                                <a id="localPlay" class="btn btn-sm navbuttons btn-play-sm hide" title="Animacion del objeto!"></a>
                            </div>
                            
                        </div>
                        <div class="col-sm-6">
                            <div id="visorDeObjeto" class="pull-right text-center">
                                <img src="../../img/autobus.jpg" class="img-circle" alt="autobus" width="80px" height="70px">
                            </div>
                        </div>
                    </div>
                   
                </div>
                <div style="width:100%; height:90%;">
                    <div id="blocklyEditor" class="blockly-area"></div>
                </div>
            </div>
            <div id="page-content-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <div id="game-scene" class="">
                                <figure id="gameRender" style="width:100%; height: 100%;"></figure>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>


    </div>

                  
</body>
</html>
